- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
flip
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Move and Reorder array content

Flip the input along sepcified dimension. More...

## Functions
AFAPI array | flip (const array &in, const unsigned dim)
AFAPI af_err | af_flip (af_array *out, const af_array in, const unsigned dim)

## Detailed Description

Flip the input along sepcified dimension.

Mirrors the array along the specified dimensions.

## Function Documentation

AFAPI af_err af_flip | ( | af_array * | out,
|  | const af_array | in,
|  | const unsigned | dim
| ) |  |

Parameters

  [out] | out | is the flipped array
  [in] | in | is the input array
  [in] | dim | is the dimensions to flip the array

AFAPI array af::flip | ( | const array & | in,
|  | const unsigned | dim
| ) |  |

Parameters

  [in] | in | is the input array
  [in] | dim | is the dimensions to flip the array

Returns
  the flipped array

Examples:
  integer.cpp.